package com.ruoyi.platform.service;

import com.ruoyi.platform.domain.AutoMlIns;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.io.IOException;
import java.util.List;

public interface AutoMlInsService {

    Page<AutoMlIns> queryByPage(AutoMlIns autoMlIns, PageRequest pageRequest) throws IOException;

    AutoMlIns insert(AutoMlIns autoMlIns);

    String removeById(Long id);

    String batchDelete(List<Long> ids);

    List<AutoMlIns> queryByAutoMlInsIsNotTerminated();

    AutoMlIns queryStatusFromArgo(AutoMlIns autoMlIns);

    boolean terminateAutoMlIns(Long id) throws Exception;

    AutoMlIns getDetailById(Long id);

    void updateAutoMlStatus(Long autoMlId);
}
